import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int n = inf.nextInt();
		for (int i = 0; i < n; i++) {
			double contestantAns = ouf.nextDouble();
			double realAns = ans.nextDouble();
			double diff = Math.abs(contestantAns - realAns);
			if (diff > 1e-5)
				return new Outcome(Type.WA, "Participant's answer differ more than 1e-3");
		}
		return new Outcome(Type.OK, "Ok");
	}

}
